//--------------------------------------------------------------------
//                                                                    
//  Module:       SimplePaging                                       
//  Description:  SimplePaging
//                                                                    
//--------------------------------------------------------------------

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.util.*;
import java.io.*;
import java.net.*;


public class SimplePaging extends JDPClassLayout  {

	JDPUser user;
	JDPJagg jaggSQL;
	JDPPopupMessage popuppanel;
	JDPMaskEdit JDPMaskEditMain;
	String moduleParameter;
	//
	//  Declare screen components
	//
	Panel Main;
	TextArea messageText;
	JDPScrollPanel ScrollPanel1;
	Label Label1;
	Label Label2;
	TextField serviceProvider;
	TextField pinNumber;
	Label Label3;
	TextField commPort;
	JDPButtons JDPButtons1;
	JDPAlphaSender AlphaPaging1;

	public void InitClass(JDPUser user, Panel targetPanel, String moduleParameter) {

		this.user = user;
		this.moduleParameter = moduleParameter;
		//
		//  Set JAGG settings for this class
		//
		jaggSQL = new JDPJagg(user.jaggPath);

		setLayout(new BorderLayout());
		popuppanel = new JDPPopupMessage(user,this);
		add(popuppanel);
		JDPMaskEditMain = new JDPMaskEdit();

		Main = new Panel();
		messageText = new TextArea("", 3,20);
		ScrollPanel1 = new JDPScrollPanel();
		Label1 = new Label("Service Provider Number:", Label.LEFT);
		Label2 = new Label("Alpha PIN Number:", Label.LEFT);
		serviceProvider = new TextField("", 20);
		pinNumber = new TextField("", 20);
		Label3 = new Label("Comm Port:", Label.LEFT);
		commPort = new TextField("", 20);
		String[] JDPButtons1btns = {"Send Message"};
		int[] JDPButtons1icns = {JDPButton.getIconValue("Pager")};
		JDPButtons1 = new JDPButtons(user, JDPButtons1btns, JDPButtons1icns, JDPButtons.getAlignmentValue("Horizontal"));
		AlphaPaging1 = new JDPAlphaSender(user);

		Main.setLayout(new BorderLayout());
		add("Center", Main);
		Main.add("Center", messageText);
		Main.add("North", ScrollPanel1);
		ScrollPanel1.add("Left", Label1);
		ScrollPanel1.add("Left", Label2);
		ScrollPanel1.add("Right", serviceProvider);
		ScrollPanel1.add("Right", pinNumber);
		ScrollPanel1.add("Left", Label3);
		ScrollPanel1.add("Right", commPort);
		Main.add("South", JDPButtons1);

		commPort.setText("2");


		//
		//  Initialise Components
		//
		InitComponents();
		//
		//  Add the handle to this panel to the global vector so other panels can
		//  access this one
		//
		user.gParm.addElement(this);
	}

	//
	//  Handle screen events
	//
	public boolean handleEvent(Event e) {

		switch (e.id) {
		case Event.ACTION_EVENT:
			if (e.target.equals(JDPButtons1.button[0])) {
				AlphaPaging1.setBaudRate(300);
				AlphaPaging1.setCommPort(Integer.parseInt(commPort.getText()));
				AlphaPaging1.setServiceProvider(serviceProvider.getText());
				AlphaPaging1.setPagerPINNumber(pinNumber.getText());
				AlphaPaging1.setMessage(messageText.getText());
				AlphaPaging1.sendSingleMessage();
				return true;
			}
			return false;

		case Event.MOUSE_MOVE:
		case Event.MOUSE_ENTER:
		case Event.MOUSE_EXIT:
			popuppanel.postEvent(e);
			return false;

		default:
			return false;

		}
	}


	//
	//  Initialise other components by calling their methods
	//
	public void InitComponents() {

		

	}

}

